<template>
	<view>
		<u-navbar :is-back="true" title='上传' title-color="#000" :border-bottom="false" :background="true"
			id="navbar">
		</u-navbar>
		<!-- 111 -->
		<button @click="btn()">上传图片</button>
		<view style="width: 750rpx;height: 750rpx;">
			<image :src="item" v-for="(item,index) in imglist" :key="index" style="width: 750rpx;height: 750rpx;"></image>
		</view>
	</view>
</template>

<script>
	export default {
			data() {
				return {
					imglist:[],
					token: '',
				}
			},
			onLoad() {
				this.getQiniuToken()
			},
			methods:{
				btn(){
					let _this=this
					let math='static/'+_this.$u.guid(20)
					uni.chooseImage({
						success: (chooseImageRes) => {
							let tempFilePaths = chooseImageRes.tempFilePaths;
							console.log(tempFilePaths)
							tempFilePaths.forEach(item=>{
								// 上传图片到七牛云
								wx.uploadFile({
									url: 'https://upload-cn-east-2.qiniup.com', 
									name: 'file',
									filePath: item,
									formData: {
										token: _this.token, //后端返回的token
										key:'yasiimg/web/'+math
									},
									success: function(res) {
								
										let str = JSON.parse(res.data)
										// console.log(str.key)
										_this.userImgs = 'https://file.langsi.online/' + str.key
										console.log(_this.userImgs)
										_this.imglist.push(_this.userImgs)
									}
								});
							})
							
							
						}
					});
				},
				// 获取上传七牛云token
				getQiniuToken() {
					this.$u.get('https://v2.ielts.langsi.online/file/getToken').then(res => {
						console.log(res.data);
						this.token = res.data.token
					}).catch(err => {
						console.log(err)
					})
					
				},
			}
		}
</script>

<style>
</style>